# App Waktu Solat Malaysia

![Works with Android](https://img.shields.io/badge/Works_with-Android-green?style=flat-square)
[![Ready on PWA](https://img.shields.io/badge/Ready%20on-PWA-5a0fc8)](https://waktusolat.web.app/)
![Maintenance](https://img.shields.io/maintenance/yes/2022?style=flat-square)
[![Installs](https://img.shields.io/badge/installs-35k+-orange)](https://play.google.com/store/apps/details?id=live.iqfareez.waktusolatmalaysia)
[![style: lint](https://img.shields.io/badge/style-flutter__lints-4BC0F5.svg)](https://pub.dev/packages/flutter_lints)
[![Twitter Follow](https://img.shields.io/twitter/follow/iqfareez?label=Follow&style=social)](https://twitter.com/iqfareez)

App waktu solat seluruh Malaysia. Prayer time app across Malaysia.

Focusing on lightweight, fast app, easy-to-use and modern UI :wink:

![malaysia prayer time screenshots](https://user-images.githubusercontent.com/60868965/167505576-d8e0c62a-76b4-4d82-ade9-fa0722539b5d.png)

More screenshots [here](https://imgur.com/a/Zhh7aBB)!

## API

[~~Azanpro API~~](https://api.azanpro.com/)\
[~~WaktuSolatApp API~~](https://waktusolatapp.com/)\
[~~MPTi906 API~~](https://mpt.i906.my/)\
[e-solat JAKIM API](https://www.e-solat.gov.my/) & [mpt-backup-api](https://mpt-backup-api.herokuapp.com/)

## Changelog History

Wondering what changed with every :new: release? Or what bug :bug: has been fixed? Visit [here](https://github.com/iqfareez/app_waktu_solat_malaysia/wiki/Changelog)!

## Report an issue / Feature request

Found a bug(s):bug:? Report issues using the **Send Feedback** feature or file them directly on the [issue](https://github.com/iqfareez/app_waktu_solat_malaysia/issues)[ tracker](https://github.com/iqfareez/app_waktu_solat_malaysia/issues).

Have an idea :bulb: that may benefit the app? Do not hesitate to [submit](https://github.com/iqfareez/app_waktu_solat_malaysia/issues) your suggestion. Your input would be really appreciated.

## Discussion

You can also use [**Discussions** ](https://github.com/iqfareez/app_waktu_solat_malaysia/discussions) ask any questions or suggest any idea. Kita sembang2 santai je gituu :relaxed:

## Web app

<a href='https://waktusolat.web.app/'><img alt='Open in Web' src='https://user-images.githubusercontent.com/60868965/99348515-bc2a5200-28d4-11eb-8d34-ac47f3e11f3d.png' style="max-width:45%;"/></a>

_Web app working directory has been separated to `web` branches._

<!-- https://github.com/webmaxru/progressive-web-apps-logo -->

## App Releases

Get it on:

<a href='https://play.google.com/store/apps/details?id=live.iqfareez.waktusolatmalaysia&pcampaignid=pcampaignidMKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1'><img alt='Get it on Google Play' src='https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png' style="max-width:55%;"/></a>

Require **Android 4.4W and up**

_i'm \_having difficulties \_updating_ the app* in [Huawei App Gallery](https://appgallery.cloud.huawei.com/ag/n/app/C102547121?channelId=github&id=b4b4309a3f5a46cfabca1672b917609b&s=75C9C29E4E75B1193F97FCAB29C7789774C16C7625285C7D8F38ED8609BD6B70&detailType=0&v). So it will be very outdated.*

_Not available for iOS sorry :disappointed:_

## Try the pre-releases (Beta track)

Get it [here](https://github.com/iqfareez/app_waktu_solat_malaysia/releases).
Do let mew know your feedback and comments. Some of the version are also available in Google Play beta program.

## Devlogs

- [Part 1](https://www.instagram.com/s/aGlnaGxpZ2h0OjE3ODcyMTc0ODcwODEzNjM1)
- [Part 2](https://www.instagram.com/s/aGlnaGxpZ2h0OjE4MDQ2MjI5MzM4MjczODAw)
- [Part 3](https://www.instagram.com/s/aGlnaGxpZ2h0OjE4MTM5MTYyNTU1MTQ0MjYx)
- [Part 4](https://www.instagram.com/s/aGlnaGxpZ2h0OjE3ODg2ODQ3MDQwMjc2ODM3)
- [Part 5](https://www.instagram.com/s/aGlnaGxpZ2h0OjE3OTE1MTkzNDAzODk3MDk1)
- [Part 6](https://www.instagram.com/s/aGlnaGxpZ2h0OjE3OTA1NDI3MDQ1NDEzMDA0)
- [Part 7](https://www.instagram.com/s/aGlnaGxpZ2h0OjE3OTE4NTU0NjEzMTg1NjQ0)

## Honourable mention

Article, assets, and resources that help me throughout the development.

1. ~~https://medium.com/platform45/flutter-handling-your-network-api-calls-like-a-boss-9093c71a7c97~~
2. ~~https://stackoverflow.com/questions/50115311/flutter-how-to-force-an-application-restart-in-production-mode~~
3. https://javiercbk.github.io/json_to_dart/
4. https://medium.com/swlh/flutter-dynamic-themes-in-3-lines-c3b375f292e3
5. https://medium.com/@fuzzymemory/adding-scheduled-notifications-in-your-flutter-application-19be1f82ade8
6. ~~https://gist.github.com/taciomedeiros/50472cf94c742befba720853e9d598b6~~
7. 3D assets you see on the onboarding screen are from [BAM](https://www.uistore.design/items/bam-free-3d-illustration-kit/) 3D Illustration kit](https://www.uistore.design/items/bam-free-3d-illustration-kit/) & [3dicons](https://3dicons.co/).
8. https://github.com/SuaMusica/googleads-mobile-flutter - Ads without jank
9. https://github.com/shubhamhackz/light_dark_toggle - Sun/moon toggle animation.
10. [Tasbih icons created by Freepik](https://www.flaticon.com/free-icons/tasbih)
11. Last third of the night calculation https://muftiwp.gov.my/en/artikel/al-kafi-li-al-fatawi/1376-al-kafi-251-pembahagian-malam-dan-qiamullail

and sure, there's a lot more.

<!-- ## Attribution

<div>Icons made by <a href="https://www.flaticon.com/authors/freepik" title="Freepik">Freepik</a> from <a href="https://www.flaticon.com/" title="Flaticon">www.flaticon.com</a></div> -->

## Legalese

- [Terms and Conditions](https://telegra.ph/MPT-Terms-07-24)
- [Privacy Policy](https://github.com/iqfareez/app_waktu_solat_malaysia/wiki/Privacy-Policy)
- Google Play and the Google Play logo are trademarks of Google LLC.

<!-- **No redistruba -->

## Contact Us

Email: mptwaktusolat@gmail.com

### May Allah ease everything in developing MPT. InshaAllah!
